Method: projects.locations.spaces.applications.recommendIAMRoles

Gets recommended IAM roles for an application.

Evaluates the infrastructure resources defined by an application (including its template configuration and parameters) to determine the set of IAM roles and Google Cloud APIs that you must configure before you deploy across target projects.

The operation is asynchronous and returns a google.longrunning.Operation. Upon completion, the operation result contains a RecommendIAMRolesResponse with project-level IAM role and API recommendations.

HTTP request

POST https://designcenter.googleapis.com/v1alpha/{name=projects/*/locations/*/spaces/*/applications/*}:recommendIAMRoles

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the application resource for which to recommend IAM roles. Format: projects/$project/locations/$location/spaces/$space/applications/$application

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • designcenter.applications.get

For more information, see the IAM documentation.